<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.rb@F9019=63</action>
    </script>
  </cheat>

  <cheat desc="Select Starting/Next Stage"> <comment>Set on the map screen</comment>
    <parameter min="1" max="8" step="1"/>
    <script state="change">
      <action>maincpu.rb@F9021=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.rb@F5029=0C</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.rb@F502B=08</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action condition="(maincpu.rb@F502D LT 02) OR (maincpu.rb@F502D GT 80)">maincpu.rb@F502D=02</action>
    </script>
  </cheat>

  <cheat desc="Always Have Maximum Shot Power PL1">
    <script state="run">
      <action>maincpu.rb@F502F=02</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.rd@F501D=00000000</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.rb@F5129=0C</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.rb@F512B=08</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action condition="(maincpu.rb@F512D LT 02) OR (maincpu.rb@F512D GT 80)">maincpu.rb@F512D=02</action>
    </script>
  </cheat>

  <cheat desc="Always Have Maximum Shot Power PL2">
    <script state="run">
      <action>maincpu.rb@F512F=02</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.rd@F511D=00000000</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
